Package org.jbpm.bpmn2.xml

## Class IntermediateThrowEventHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.IntermediateThrowEventHandler

- All Implemented Interfaces:
    `org.drools.core.xml.Handler`

      public class IntermediateThrowEventHandler
      extends AbstractNodeHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `LINK_NAME` |
    `static String` | `LINK_SOURCE` |
    `static String` | `LINK_TARGET` |

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntermediateThrowEventHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Node` | `createNode​(Attributes attrs)` |
    `Object` | `end​(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `Class` | `generateNodeFor()` |
    `void` | `handleEscalationNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `protected void` | `handleLinkNode​(Element element, Node node, Node xmlLinkNode, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `void` | `handleMessageNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `void` | `handleSignalNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `protected void` | `readDataInputAssociation​(Node xmlNode, ActionNode actionNode)` |
    `void` | `writeNode​(Node node, StringBuilder xmlDump, int metaDataType)` |

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `checkSignalAndConvertToRealSignalNam, containsExtensionElements, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, handleNode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeJavaAction, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Field Detail

    - #### LINK_NAME

          public static final String LINK_NAME

      See Also:
        Constant Field Values

    - #### LINK_SOURCE

          public static final String LINK_SOURCE

      See Also:
        Constant Field Values

    - #### LINK_TARGET

          public static final String LINK_TARGET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IntermediateThrowEventHandler

          public IntermediateThrowEventHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode​(Attributes attrs)

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### generateNodeFor

          public Class generateNodeFor()

    - #### end

          public Object end​(String uri,
                            String localName,
                            org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Overrides:
        `end` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### handleLinkNode

          protected void handleLinkNode​(Element element,
                                        Node node,
                                        Node xmlLinkNode,
                                        org.drools.core.xml.ExtensibleXmlParser parser)

    - #### handleSignalNode

          public void handleSignalNode​(Node node,
                                       Element element,
                                       String uri,
                                       String localName,
                                       org.drools.core.xml.ExtensibleXmlParser parser)
                                throws SAXException

      Throws:
        `SAXException`

    - #### handleMessageNode

          public void handleMessageNode​(Node node,
                                        Element element,
                                        String uri,
                                        String localName,
                                        org.drools.core.xml.ExtensibleXmlParser parser)
                                 throws SAXException

      Throws:
        `SAXException`

    - #### handleEscalationNode

          public void handleEscalationNode​(Node node,
                                           Element element,
                                           String uri,
                                           String localName,
                                           org.drools.core.xml.ExtensibleXmlParser parser)
                                    throws SAXException

      Throws:
        `SAXException`

    - #### readDataInputAssociation

          protected void readDataInputAssociation​(Node xmlNode,
                                                  ActionNode actionNode)

    - #### writeNode

          public void writeNode​(Node node,
                                StringBuilder xmlDump,
                                int metaDataType)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`